#!/usr/bin/python

import mapscript

req = mapscript.OWSRequest()
req.loadParams()

map = mapscript.mapObj()
map.name = "Python Mapscript Map"
map.shapepath = "/var/www/orthoimg/karlsruhe/"
map.setProjection("init=epsg:4326")
map.setMetaData("wms_srs","epsg:4326")
map.setExtent(-180.0,-90.0,180.0,90.0)

outputFormat=mapscript.outputFormatObj("GD/PNG")
outputFormat.name="png"
outputFormat.setMimetype("image/png")
outputFormat.imagemode=mapscript.MS_IMAGEMODE_RGBA
outputFormat.transparent=1
outputFormat.setExtension("png")
map.setOutputFormat(outputFormat)

layer = mapscript.layerObj(map)
layer.name= "foobar"
layer.type = mapscript.MS_LAYER_RASTER
layer.status = mapscript.MS_DEFAULT
layer.data = "mosaik_big_deg_512_wgs84.img"

map.save("/tmp/buggy.map")

map.OWSDispatch(req)
